We're all in this together. Due to COVID-19, you may also experience shipping delays. Read More.

What Android devices are compatible with the ROAM, ELEMNT and BOLT?

Android System Requirements:

  1. Android version 6 or newer
  2. Bluetooth 4.0 (Smart) or newer
  3. Third party app access to Bluetooth
  4. Compatibility with the Wahoo ELEMNT App from the Google Play Store

 

Compatible Devices:

Most Android devices running Android 6 or newer with Bluetooth 4.0 will work. However, Wahoo Fitness has not tested complete compatibility with all devices. Please download the ELEMNT App from the Google Play Store to ensure that it installs on your device before purchasing a product.